petsc-3.7.1 2016-05-15
Report Typos and Errors

# TSPostStage

Runs the user-defined post-stage function set using TSSetPostStage()

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSPostStage(TS ts, PetscReal stagetime, PetscInt stageindex, Vec *Y)

Collective on TS Many br

### Input Parameters

ts -The TS context obtained from TSCreate() Many brstagetime - The absolute time of the current stage Many brstageindex - Stage number Many brY - Array of vectors (of size = total number Many brof stages) with the stage solutions Many br

### Notes

TSPostStage() is typically used within time stepping implementations, Many brmost users would not generally call this routine themselves. Many br

Many br

### Keywords

TS, timestep

### See Also

TSPreStage(), TSSetPreStep(), TSPreStep(), TSPostStep()

Level:developer
Location:src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages